package com.cftech.sys.model;

import java.io.Serializable;
import java.util.Date;

public class BasicEntity implements Serializable{
	protected Long id;
	protected Date createtime;
	protected Date updatetime;
	protected long timestamp;
	protected int delflag;
	protected String description;
	protected Long userid;
	
	
	
	
	
	public BasicEntity() {
		super();
		Date date =  new Date();
		this.delflag = 0;
		this.createtime = date;
		this.timestamp = date.getTime();
		this.updatetime = date;
	}
	
	
	
	
	public Long getUserid() {
		return userid;
	}




	public void setUserid(Long userid) {
		this.userid = userid;
	}




	public Long getId() {
		return id;
	}


	public void setId(Long id) {
		this.id = id;
	}


	public Date getCreatetime() {
		return createtime;
	}
	public void setCreatetime(Date createtime) {
		this.createtime = createtime;
	}
	public Date getUpdatetime() {
		return updatetime;
	}
	public void setUpdatetime(Date updatetime) {
		this.updatetime = updatetime;
	}
	public long getTimestamp() {
		return timestamp;
	}
	public void setTimestamp(long timestamp) {
		this.timestamp = timestamp;
	}
	public int getDelflag() {
		return delflag;
	}
	public void setDelflag(int delflag) {
		this.delflag = delflag;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	
	
}
